<div mat-dialog-title>
	<h2 fxFlex=""> Редактирование документа </h2>
	<button mat-icon-button (click)="close()">
		<mat-icon svgIcon="close"></mat-icon>
	</button>
</div>
<div mat-dialog-content>

	<section *ngIf="!isLoad; else loaderComponent">
		<div class="dynamic-form" *ngIf="formData; else dataNotFound">
			<div fxLayout="row" fxLayout.lt-md="column">

				<mat-form-field appearance="fill" fxFlex="100" fxFlex.lt-md="100">
					<mat-label>Категория документа</mat-label>
					<input matInput [ngModel]="formData.name_sys_category" [readonly]="true">
				</mat-form-field>
			</div>
			<div class="mt-20">
				<!--<mat-divider class="mb-16"></mat-divider>-->
				<span class="mat-h2">Данные документа</span>
				<mat-divider class="my-16"></mat-divider>
			</div>
			<ng-container appDynamicForms
				[componentName]="component"
				[data]="formData"
				[canSave]="true"
				(saveData)="saveData($event)">
			</ng-container>


			<div class="mt-32">
<!--				<mat-divider class="my-16"></mat-divider>-->
				<span class="mat-h2"> Файл документа </span>
				<mat-divider class="my-16"></mat-divider>
<!--				<mat-divider class="my-16"></mat-divider>-->
			</div>
			<div>
				<div *ngIf="!doc.file; else downloadFile"> <i> файл не прикреплен </i> </div>
				<ng-template #downloadFile>
					<button mat-flat-button (click)="getFile($event, { id: id, title: doc.title })">
						<mat-icon [svgIcon]="'download'"
							class="mr-8"></mat-icon>
						<span>{{doc.title}}</span>
					</button>
					<button mat-flat-button color="warn" class="ml-20" (click)="deleteFile($event)"> Удалить файл </button>
				</ng-template>
			</div>
			<div class="mt-16">
				<button mat-flat-button color="primary" *ngIf="!addFileForm; else addFileZone" (click)="initForm()"> Зарузить файл </button>

				<ng-template #addFileZone>
					<form [formGroup]="addFileForm">
						<div fxLayout="column" class="my-8">
							<app-file-upload  fxFlex="" formControlName="file"></app-file-upload>
							<div class="mt-12">
								<button mat-flat-button color="accent"
									(click)="addFile()"
									class="mr-16"
									[disabled]="this.addFileForm.invalid">Загрузить</button>
								<button mat-stroked-button color="accent" (click)="this.addFileForm = undefined">Отмена</button>
							</div>

						</div>
					</form>
				</ng-template>
			</div>
		</div>

		<ng-template #dataNotFound>
			При попытке загрузить данные о документе произошла ошибка
		</ng-template>
	</section>

	<ng-template #loaderComponent>
		<div class="spinner-container">
			<mat-spinner></mat-spinner>
		</div>
	</ng-template>






</div>

<div mat-dialog-actions align="end">
	<button mat-stroked-button
	        color="primary"
			(click)="close()"
	        cdkFocusInitial >Закрыть</button>
</div>
